# Reference

Class to hold a reference to another object in the project.

package | phing.types

### Methods

## __construct

    __construct( $id = null)

### Arguments

#### $id

``

## returns reference to object in references container of project

    getReferencedObject( $project)

### Arguments

#### $project

``

## getRefId

    getRefId()

## setRefId

    setRefId( $id)

### Arguments

#### $id

``

### Properties

## refid

    refid :

### Type(s)

``